Summary:	gLabels - a GNOME program to create labels and business cards
Summary(pl.UTF-8):	gLabels - program dla GNOME do tworzenia etykiet i wizytówek
Name:		glabels
Version:	3.2.1
Release:	4
License:	GPL v3
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glabels/3.2/%{name}-%{version}.tar.xz
# Source0-md5:	95e0d6f833615ed00b82970dfe28c0fe
Patch0:		%{name}-link.patch
URL:		http://www.glabels.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	barcode-devel >= 0.98
BuildRequires:	docbook-dtd412-xml
BuildRequires:	evolution-data-server-devel >= 3.6.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.28.2
BuildRequires:	gnome-common >= 2.8.0
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.9
BuildRequires:	iec16022-devel >= 0.2.4
BuildRequires:	intltool >= 0.40.0
BuildRequires:	librsvg-devel >= 2.32.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	pkgconfig
BuildRequires:	qrencode-devel >= 3.1.0
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
BuildRequires:	zint-devel >= 2.4.0
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gLabels is a small stand-alone program for creating labels and
business cards.

%description -l pl.UTF-8
gLabels jest małym, samodzielnym programem do tworzenia etykiet i
wizytówek.

%package libs
Summary:	glabels shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone glabels
License:	LGPL v3
Group:		Libraries

%description libs
glabels shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone glabels.

%package devel
Summary:	Header files for glabels
Summary(pl.UTF-8):	Pliki nagłówkowe glabels
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.2
Requires:	libxml2-devel >= 1:2.7.8
Requires:	pango-devel

%description devel
Header files for glabels.

%description devel -l pl.UTF-8
Pliki nagłówkowe glabels.

%package static
Summary:	glabels static library
Summary(pl.UTF-8):	Statyczna biblioteka glabels
License:	LGPL v3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
glabels staic library.

%description static -l pl.UTF-8
Statyczna biblioteka glabels.

%package apidocs
Summary:	glabels library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki glabels
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
glabels library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki glabels.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}-3.0 --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_mime_database
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_mime_database
%update_icon_cache hicolor
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/glabels-3
%attr(755,root,root) %{_bindir}/glabels-3-batch
%{_datadir}/appdata/glabels-3.appdata.xml
%{_datadir}/glabels-3.0
%{_datadir}/glib-2.0/schemas/org.gnome.glabels-3.gschema.xml
%{_datadir}/mime/packages/glabels-3.0.xml
%{_mandir}/man1/*.1*
%{_desktopdir}/glabels-3.0.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglabels-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglabels-3.0.so.8
%attr(755,root,root) %{_libdir}/libglbarcode-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglbarcode-3.0.so.0
%{_datadir}/libglabels-3.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglabels-3.0.so
%attr(755,root,root) %{_libdir}/libglbarcode-3.0.so
%{_includedir}/libglabels-3.0
%{_includedir}/libglbarcode-3.0
%{_pkgconfigdir}/libglabels-3.0.pc
%{_pkgconfigdir}/libglbarcode-3.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libglabels-3.0.a
%{_libdir}/libglbarcode-3.0.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libglabels-3.0
%{_gtkdocdir}/libglbarcode-3.0
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glabels.git;a=log;h=master

* Sun Oct 04 2015 Jan Rękorajski <baggins@pld-linux.org> 153c9b0
- release 4 (by relup.sh)

* Sun Oct 04 2015 Jan Rękorajski <baggins@pld-linux.org> c78d66d
- gnome-doc-common is no more

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 55ca514
- x32 rebuild
- release 3 (by relup.sh)

* Wed Apr 01 2015 Łukasz Kieś <kiesiu@pld-linux.org> ecf7863
- updated BRs and files; rel. 2

* Sat Mar 28 2015 Jan Rękorajski <baggins@pld-linux.org> 9bc5554
- up to 3.2.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 7e2b4e3
- updated gettext BR

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 8228dd2
- noarch apidocs

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 1158826
- Release 2

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> b3119fd
- updated to 3.0.1
- added atch1 to build with eds >= 3.6

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> f39a8a1
- updated to 3.0.1

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> e5af8ad
- patch to build with eds >= 3.6

* Fri Mar 30 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 104290a
- release 3

* Tue Oct 04 2011 Jan Rękorajski <baggins@pld-linux.org> ebe39a4
- release 2

* Sun Jul 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4aefc68
- obsolete

* Sun Jul 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 0882a4f
- updated to 3.0.0
- added -link.patch; removed obsolete -desktop.patch

* Sun Jul 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 6a716fa
- fix linking

* Wed Oct 06 2010 Jan Rękorajski <baggins@pld-linux.org> edbecc1
- rel 2

* Mon May 10 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 57e489a
- updated to 2.2.8
- added -apidocs subpackage
- more verbose files

* Wed Feb 17 2010 sparky <sparky@pld-linux.org> 444e8e0
- BR: gnome-doc-utils

* Wed Feb 17 2010 Patryk Zawadzki <patrys@room-303.com> e4ded16
- 2.2.6

